enum SkinCheckStatus {
  /// 正常
  normal(1),

  /// 警告
  warning(2),

  /// 危险
  danger(3),

  /// 未知
  unknown(0);

  final int value;

  const SkinCheckStatus(this.value);

  /// 根据 int 值返回对应的枚举，默认返回 online
  static SkinCheckStatus fromValue(int value) {
    return SkinCheckStatus.values.firstWhere((e) => e.value == value, orElse: () => SkinCheckStatus.unknown);
  }
}
